Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.webdav
Class ModeShapeWebdavServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              net.sf.webdav.WebDavServletBean
                  net.sf.webdav.WebdavServlet
                      org.modeshape.web.jcr.webdav.ModeShapeWebdavServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ModeShapeWebdavServlet

extends net.sf.webdav.WebdavServlet

Custom servlet implementation that provides WebDAV access to a JCR repository. Nodes in the repository with a specified primary type (nt:file, by default) are treated as WebDAV resources (files) while nodes with any other primary type are treated as WebDAV folders.

See Also:
  Serialized Form

Field Summary
`static String` | `INIT_CONTENT_MAPPER_CLASS_NAME`
`static String` | `INIT_REQUEST_RESOLVER_CLASS_NAME`

Fields inherited from class net.sf.webdav.WebDavServletBean
`MD5_ENCODER, MD5_HELPER`

Constructor Summary
`ModeShapeWebdavServlet()`

Method Summary
`protected net.sf.webdav.IWebdavStore` | `constructStore(String clazzName, File root)`
`protected String` | `getParam(String name)`
`void` | `init()`
`protected void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` This method also sets and clears a thread-local reference to the incoming `request`.

Methods inherited from class net.sf.webdav.WebDavServletBean
`init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_CONTENT_MAPPER_CLASS_NAME

    public static final String INIT_CONTENT_MAPPER_CLASS_NAME

See Also:
  Constant Field Values

### INIT_REQUEST_RESOLVER_CLASS_NAME

    public static final String INIT_REQUEST_RESOLVER_CLASS_NAME

See Also:
  Constant Field Values

Constructor Detail

### ModeShapeWebdavServlet

    public ModeShapeWebdavServlet()

Method Detail

### constructStore

    protected net.sf.webdav.IWebdavStore constructStore(String clazzName,
                                                        File root)

  Overrides:
    `constructStore` in class `net.sf.webdav.WebdavServlet`

### getParam

    protected String getParam(String name)

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `net.sf.webdav.WebdavServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    protected void service(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse resp)
                    throws javax.servlet.ServletException,
                           IOException

  This method also sets and clears a thread-local reference to the incoming `request`.

  Overrides:
    `service` in class `net.sf.webdav.WebDavServletBean`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.